From: Sophie Brun <sophie@offensive-security.com>
Date: Fri, 27 Mar 2020 15:59:02 +0100
Subject: Run the installer if required

Last-Update: 2018-04-26

Run the installer before checking presence of required files to avoid to
prompt an Error when launching the app.
Last-Update: 2018-04-26
---
 Veil.py | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/Veil.py b/Veil.py
index cf4cc02..75c5260 100755
--- a/Veil.py
+++ b/Veil.py
@@ -5,6 +5,14 @@
 
 import argparse
 import sys
+import os
+
+# Automatically run the installer if required:
+if not os.path.exists('/var/lib/veil/go/'):
+    os.system('bash config/setup.sh')
+if not os.path.exists('/var/lib/veil/PyInstaller-3.2.1/'):
+    os.system('bash config/setup.sh')
+
 from lib.common import helpers
 from lib.common import messages
 from lib.common import orchestra
